From c849352d89b3d7a230c1356a0423e7c0952c23f6 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Fri, 19 Jun 2009 08:03:43 +0200
Subject: [PATCH] pam_ccreds: Fix handling for the linux-gnueabi case.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 pam_ccreds-7-gnueabi-fix.patch |   12 ++++++++++++
 pam_ccreds.spec                |    7 ++++++-
 2 files changed, 18 insertions(+), 1 deletions(-)
 create mode 100644 pam_ccreds-7-gnueabi-fix.patch

diff --git a/pam_ccreds-7-gnueabi-fix.patch b/pam_ccreds-7-gnueabi-fix.patch
new file mode 100644
index 0000000..7a6af83
--- /dev/null
+++ b/pam_ccreds-7-gnueabi-fix.patch
@@ -0,0 +1,12 @@
+diff -urp pam_ccreds-7.orig/configure.in pam_ccreds-7/configure.in
+--- pam_ccreds-7.orig/configure.in	2007-11-05 08:24:51.000000000 -0500
++++ pam_ccreds-7/configure.in	2009-06-14 08:56:25.000000000 -0400
+@@ -43,7 +43,7 @@ AC_SUBST(pam_ccreds_so_LD)
+ AC_SUBST(pam_ccreds_so_LDFLAGS)
+ 
+ AM_CONDITIONAL(USE_NATIVE_LINKER, test -n "$pam_ccreds_so_LD")
+-AM_CONDITIONAL(EXTENSION_SO, test "$target_os" = "linux" -o "$target_os" = "linux-gnu")
++AM_CONDITIONAL(EXTENSION_SO, test "$target_os" = "linux" -o "$target_os" = "linux-gnu" -o "$target_os" = "linux-gnueabi")
+ AM_CONDITIONAL(EXTENSION_1, test "$TARGET_OS" = "HPUX")
+ 
+ if test -z "$use_gcrypt"; then
diff --git a/pam_ccreds.spec b/pam_ccreds.spec
index d6e119e..4052939 100644
--- a/pam_ccreds.spec
+++ b/pam_ccreds.spec
@@ -1,7 +1,7 @@
 Summary: Pam module to cache login credentials
 Name: pam_ccreds
 Version: 7
-Release: 4%{?dist}
+Release: 4%{?dist}.fa1
 License: GPL+
 Group: System Environment/Base
 URL: http://www.padl.com/OSS/pam_ccreds.html
@@ -9,6 +9,7 @@ Source0: http://www.padl.com/download/%{name}-%{version}.tar.gz
 Patch1: pam_ccreds-3-inst-no-root.patch
 Patch2: pam_ccreds-7-no-filename.patch
 Patch3: pam_ccreds-7-open.patch
+Patch4: pam_ccreds-7-gnueabi-fix.patch 
 
 BuildRequires: automake db4-devel libgcrypt-devel pam-devel
 Requires: db4 pam
@@ -28,6 +29,7 @@ authenticated.
 %patch1 -p1 -b .inst-no-root
 %patch2 -p1 -b .no-filename
 %patch3 -p1 -b .open
+%patch4 -p1 -b .gnueabi
 touch compile
 autoreconf
 
@@ -54,6 +56,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_sbindir}/cc_dump
 
 %changelog
+* Fri Jun 19 2009 Kedar Sovani <kedars@marvell.com> - 7-4.fa1
+- Fix handling for linux-gnueabi case.
+
 * Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-- 
1.5.5.6

